cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Boisvert, Éric" <ebois...@nrcan.gc.ca>
Subject RE: Re[2]: spaces in request-param
Date Tue, 21 Sep 2004 14:42:40 GMT
hmmm.. new version = old bugs fixed, but new bugs to deal with...

I'm afraid to ask, but is it possible to only have this module ? -- my
limited understanding of inner working of Cocoon suggest that the .jar
containig this class could replace the one I use for 2.1.5.. or am i just
naive ?

I'm really stunned that people could work without this for that long, how
people managed to deal with spaces in parameters before 2.1.6 ???

-----Message d'origine-----
De : g[R]eK [mailto:gReK@warsztat.pac.pl]
Envoyé : 21 septembre, 2004 10:18
À : Boisvert, Éric
Objet : Re[2]: spaces in request-param


<. Hi Éric! .>

Tuesday, September 21, 2004, 3:50:01 PM, you wrote:

BÉ> Thank for the tip, but I did find this trick and it did not work either

BÉ> Failed to load sitemap from
BÉ> file:/C:/jakarta-tomcat-4.1.29/webapps/cocoon/ngwd/search/sitemap.xmap

BÉ> org.apache.cocoon.ProcessingException: Failed to load sitemap from
BÉ> file:/C:/jakarta-tomcat-4.1.29/webapps/cocoon/ngwd/search/sitemap.xmap:
BÉ> org.apache.avalon.framework.configuration.ConfigurationException: Error
BÉ> while creating node 'generate' at
BÉ>
file:/C:/jakarta-tomcat-4.1.29/webapps/cocoon/ngwd/search/sitemap.xmap:23:22
BÉ> 4

BÉ> cause: org.apache.avalon.framework.component.ComponentException:
BÉ> input-modules: ComponentSelector could not find the component for hint
BÉ> [url-encode] (key [url-encode])

BÉ>
http://localhost:8080/cocoon/api/java/org/apache/cocoon/components/modules/i
BÉ> nput/URLEncodeModule.html
BÉ> interesting, I don't have this one, this explains the previous error.

BÉ> I have 2.1.5 (running on JDK 1.4.x on Win2000 Server)

BÉ> I assume I must recompile with some option turned on ?

Sorry, I didn't it works for Cocoon 2.1.6-dev (HEAD rev). AFAIR version
2.1.5
doesn't contain this module :-(
If it's development stage I think you can update to 2.1.6-dev (works almost
fine).

-- 
Best regards
<. g[R]eK mailto:gReK@warsztat.pac.pl                                    .>


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message